#!/usr/bin/env python3

"""
A Pythonic solution for Problem 3.4.
"""

from math import copysign

def rev(n):
    """
    Returns the number that is obtained from the integer `n` by
    reversing the order of the digits.
    """

    return int(copysign(int("".join(reversed(str(abs(n))))), n))


def main():
    n = int(input("n = "))
    
    if n <= 0:
        print("n has to be a natural number.")
    else:
        # This could also be wrapped in generators, but
        # it wouldn't be very readable. For example, see exercise-02-03-no.py
        for k in range(n):
            kth_number = int(input("Number #" + str(k+1) + ": "))
            rev_kth_number = rev(kth_number)
            # Uncomment this line to see the reversed value of each number:
            #print("Rev:", rev_kth_number)
            if k == 0 or rev_kth_number > max_value:
                max_value = rev_kth_number
                max_k = k
        print("The number #" + str(max_k+1) + " has the biggest reversed value.")
    
main()