#!/usr/bin/env python3

"""
A program that loads a natural number `n` and then `n` integers.
The program prints which of the numbers has the largest reversed value.
"""

def rev(n):
    """
    Returns the number that is obtained from the integer `n` by
    reversing the order of the digits.
    """

    res = 0

    if n < 0:
        n = -n
        sign = -1
    else:
        sign = 1

    while n > 0:
        res = 10 * res + n%10
        n //= 10

    return sign * res


def main():
    n = int(input("n = "))
    
    if n <= 0:
        print("n has to be a natural number.")
    else:
        for k in range(n):
            kth_number = int(input("Number #" + str(k+1) + ": "))
            rev_kth_number = rev(kth_number)
            # Uncomment this line to see the reversed value of each number:
            #print("Rev:", rev_kth_number)
            if k == 0 or rev_kth_number > max_value:
                max_value = rev_kth_number
                max_k = k
        print("The number #" + str(max_k+1) + " has the biggest reversed value.")

main()